export declare const ENSRegistry: {
    "deploy": boolean;
    "silent": boolean;
    "args": never[];
    "className": string;
    "code": string;
    "runtimeBytecode": string;
    "realRuntimeBytecode": string;
    "swarmHash": string;
    "gasEstimates": {
        "creation": {
            "codeDepositCost": string;
            "executionCost": string;
            "totalCost": string;
        };
        "external": {
            "owner(bytes32)": string;
            "resolver(bytes32)": string;
            "setOwner(bytes32,address)": string;
            "setResolver(bytes32,address)": string;
            "setSubnodeOwner(bytes32,bytes32,address)": string;
            "setTTL(bytes32,uint64)": string;
            "ttl(bytes32)": string;
        };
    };
    "functionHashes": {
        "owner(bytes32)": string;
        "resolver(bytes32)": string;
        "setOwner(bytes32,address)": string;
        "setResolver(bytes32,address)": string;
        "setSubnodeOwner(bytes32,bytes32,address)": string;
        "setTTL(bytes32,uint64)": string;
        "ttl(bytes32)": string;
    };
    "abiDefinition": ({
        "constant": boolean;
        "inputs": {
            "name": string;
            "type": string;
        }[];
        "name": string;
        "outputs": {
            "name": string;
            "type": string;
        }[];
        "payable": boolean;
        "stateMutability": string;
        "type": string;
        "anonymous"?: undefined;
    } | {
        "inputs": never[];
        "payable": boolean;
        "stateMutability": string;
        "type": string;
        "constant"?: undefined;
        "name"?: undefined;
        "outputs"?: undefined;
        "anonymous"?: undefined;
    } | {
        "anonymous": boolean;
        "inputs": {
            "indexed": boolean;
            "name": string;
            "type": string;
        }[];
        "name": string;
        "type": string;
        "constant"?: undefined;
        "outputs"?: undefined;
        "payable"?: undefined;
        "stateMutability"?: undefined;
    })[];
    "filename": string;
    "gas": string;
    "type": string;
    "_gasLimit": boolean;
};
export declare const Resolver: {
    "deploy": boolean;
    "silent": boolean;
    "className": string;
    "code": string;
    "runtimeBytecode": string;
    "realRuntimeBytecode": string;
    "swarmHash": string;
    "gasEstimates": {
        "creation": {
            "codeDepositCost": string;
            "executionCost": string;
            "totalCost": string;
        };
        "external": {
            "ABI(bytes32,uint256)": string;
            "addr(bytes32)": string;
            "content(bytes32)": string;
            "name(bytes32)": string;
            "pubkey(bytes32)": string;
            "setABI(bytes32,uint256,bytes)": string;
            "setAddr(bytes32,address)": string;
            "setContent(bytes32,bytes32)": string;
            "setName(bytes32,string)": string;
            "setPubkey(bytes32,bytes32,bytes32)": string;
            "setText(bytes32,string,string)": string;
            "text(bytes32,string)": string;
        };
    };
    "functionHashes": {
        "ABI(bytes32,uint256)": string;
        "addr(bytes32)": string;
        "content(bytes32)": string;
        "name(bytes32)": string;
        "pubkey(bytes32)": string;
        "setABI(bytes32,uint256,bytes)": string;
        "setAddr(bytes32,address)": string;
        "setContent(bytes32,bytes32)": string;
        "setName(bytes32,string)": string;
        "setPubkey(bytes32,bytes32,bytes32)": string;
        "setText(bytes32,string,string)": string;
        "text(bytes32,string)": string;
    };
    "abiDefinition": ({
        "constant": boolean;
        "inputs": {
            "name": string;
            "type": string;
        }[];
        "name": string;
        "outputs": {
            "name": string;
            "type": string;
        }[];
        "payable": boolean;
        "stateMutability": string;
        "type": string;
        "anonymous"?: undefined;
    } | {
        "inputs": {
            "name": string;
            "type": string;
        }[];
        "payable": boolean;
        "stateMutability": string;
        "type": string;
        "constant"?: undefined;
        "name"?: undefined;
        "outputs"?: undefined;
        "anonymous"?: undefined;
    } | {
        "anonymous": boolean;
        "inputs": {
            "indexed": boolean;
            "name": string;
            "type": string;
        }[];
        "name": string;
        "type": string;
        "constant"?: undefined;
        "outputs"?: undefined;
        "payable"?: undefined;
        "stateMutability"?: undefined;
    })[];
    "filename": string;
    "gas": string;
    "type": string;
    "_gasLimit": boolean;
};
export declare const FIFSRegistrar: {
    "deploy": boolean;
    "silent": boolean;
    "className": string;
    "code": string;
    "runtimeBytecode": string;
    "realRuntimeBytecode": string;
    "swarmHash": string;
    "gasEstimates": {
        "creation": {
            "codeDepositCost": string;
            "executionCost": string;
            "totalCost": string;
        };
        "external": {
            "register(bytes32,address)": string;
        };
    };
    "functionHashes": {
        "register(bytes32,address)": string;
    };
    "abiDefinition": ({
        "constant": boolean;
        "inputs": {
            "name": string;
            "type": string;
        }[];
        "name": string;
        "outputs": never[];
        "payable": boolean;
        "stateMutability": string;
        "type": string;
    } | {
        "inputs": {
            "name": string;
            "type": string;
        }[];
        "payable": boolean;
        "stateMutability": string;
        "type": string;
        "constant"?: undefined;
        "name"?: undefined;
        "outputs"?: undefined;
    })[];
    "filename": string;
    "gas": string;
    "type": string;
    "_gasLimit": boolean;
};
//# sourceMappingURL=ensContractConfigs.d.ts.map